---
title: llarp::EventLoopRepeater
summary: holds a repeated task on the event loop; the task is removed on destruction 

---

# llarp::EventLoopRepeater



holds a repeated task on the event loop; the task is removed on destruction 


`#include <ev.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~EventLoopRepeater](Classes/classllarp_1_1EventLoopRepeater.md#function-~eventlooprepeater)**() =default |
| virtual void | **[start](Classes/classllarp_1_1EventLoopRepeater.md#function-start)**(llarp_time_t every, std::function< void()> task) =0 |

## Public Functions Documentation

### function ~EventLoopRepeater

```cpp
virtual ~EventLoopRepeater() =default
```


### function start

```cpp
virtual void start(
    llarp_time_t every,
    std::function< void()> task
) =0
```


-------------------------------

Updated on 2022-11-04 at 14:36:38 +0000